Reinforcement StraightRebar/it: Difference between revisions

From FreeCAD Documentation
(Created page with "Category:Arch/it")
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{GuiCommandAddon/it|Name=Arch Rebar Straight|Name/it=Armatura dritta|Workbenches=[[Arch Module/it|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Strumenti armatura|Shortcut=None|SeeAlso=[[Arch_Rebar/it|Armatura]], [[Arch_Rebar_UShape/it|Armatura a U]], [[Arch_Rebar_LShape/it|Armatura a L]], [[Arch_Rebar_BentShape/it|Armatura sagomata]], [[Arch_Rebar_Stirrup/it|Staffe armatura]], [[Arch_Rebar_Helical/it|Armatura elicoidale]]}}
{{GuiCommandAddon/it|Name=Arch Rebar Straight|Name/it=Armatura dritta|Workbenches=[[Arch Module/it|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Strumenti armatura|Shortcut=None|SeeAlso=[[Arch_Rebar/it|Armatura]], [[Arch_Rebar_UShape/it|Armatura a U]], [[Arch_Rebar_LShape/it|Armatura a L]], [[Arch_Rebar_BentShape/it|Armatura sagomata]], [[Arch_Rebar_Stirrup/it|Staffe armatura]], [[Arch_Rebar_Helical/it|Armatura elicoidale]]}}
</div>


<div class="mw-translate-fuzzy">
==Descrizione==
==Descrizione==
Lo strumento {{KEY|[[Image:Arch_Rebar_Straight.png|16px]] Armatura dritta}} crea una armatura diritta in un elemento strutturale selezionato.
Lo strumento {{KEY|[[Image:Arch_Rebar_Straight.png|16px]] Armatura dritta}} crea una armatura diritta in un elemento strutturale selezionato.
</div>


This command is part of the [[Reinforcement Addon]], that you can install with the [[Addon Manager]] via the menu {{MenuCommand|Tools → Addon manager → Reinforcement}}.

[[Image:Arch_Rebar_Straight_example.png|400px]]
<div class="mw-translate-fuzzy">
[[Image:StraightRebar.png|800px]]
[[Image:StraightRebar.png|800px]]
</div>


== Utilizzo ==
== Utilizzo ==


<div class="mw-translate-fuzzy">
# Creare un elemento [[Arch Structure/it|Struttura]]
# Creare un elemento [[Arch Structure/it|Struttura]]
# Selezionare una qualsiasi faccia della struttura
# Selezionare una qualsiasi faccia della struttura
Line 20: Line 30:
# Cliccare {{KEY|OK}} o {{KEY|Apply}} per generare l'armatura
# Cliccare {{KEY|OK}} o {{KEY|Apply}} per generare l'armatura
# Cliccare {{KEY|Cancel}} per uscire dal pannello delle azioni
# Cliccare {{KEY|Cancel}} per uscire dal pannello delle azioni
</div>

[[Image:StraightRebarDialog.png|250px]]
{{Caption|Taskview panel for the Arch Rebar Straight tool}}


== Proprietà ==
== Proprietà ==
Line 33: Line 47:
* {{PropertyData/it|Spacing}}: La distanza tra gli assi di ogni barra.
* {{PropertyData/it|Spacing}}: La distanza tra gli assi di ogni barra.


<div class="mw-translate-fuzzy">
== Script ==
== Script ==
</div>


<div class="mw-translate-fuzzy">
Lo strumento {{KEY|[[Image:Arch_Rebar_Straight.png|16px]] Armatura dritta}} può essere usato nelle [[macros/it|macro]] e dalla console python utilizzando la seguente funzione:
Lo strumento {{KEY|[[Image:Arch_Rebar_Straight.png|16px]] Armatura dritta}} può essere usato nelle [[macros/it|macro]] e dalla console python utilizzando la seguente funzione:
</div>

'''1. When orientation of straight rebar is horizontal:'''
{{Code|code=
{{Code|code=
Rebar = makeStraightRebar(f_cover, coverAlong, rt_cover, lb_cover,
makeStraightRebar(FrontCover, CoverAlong, RightCover, LeftCover, Diameter, AmountSpacingCheck, AmountSpacingValue, Orientation = "Horizontal", Structure, Facename)
diameter, amount_spacing_check, amount_spacing_value, orientation="Horizontal",
structure=None, facename=None)
}}
}}


* Creates a {{incode|Rebar}} object from the given {{incode|structure}}, which is an [[Arch Structure]], and {{incode|facename}}, which is a face of that structure.
Note:
** If no {{incode|structure}} nor {{incode|facename}} are given, it will take the user selected face as input.
* L'argomento di CoverAlong è una tupla. Sintassi: {{KEY|(<Along>, <Value>)}}. Qui abbiamo l'orientamento orizzontale quindi possiamo fornire {{KEY|Top Side}} e {{KEY|Bottom Side}} come argometi <Along>.
* {{incode|f_cover}}, {{incode|coverAlong}}, {{incode|rt_cover}}, and {{incode|lb_cover}} are inner offset distances for the rebar elements with respect to the faces of the structure.
Per esempio. {{KEY|("Top Side", 20)}} e {{KEY| ("Bottom Side", 20)}}
** {{incode|f_cover}} is the frontal cover offset.
** {{incode|coverAlong}} is a tuple {{incode|(position, value)}} that defines the offset value in one position (top, bottom, left, right) depending on the {{incode|orientation}}.
** {{incode|rt_cover}} is either the right or the top cover offset, depending on the value of {{incode|coverAlong}} and {{incode|orientation}}.
** {{incode|lb_cover}} is either the left or the bottom cover offset, depending on the value of {{incode|coverAlong}} and {{incode|orientation}}.
* {{incode|diameter}} is the diameter of the reinforcement bars inside the structure.
* {{incode|amount_spacing_check}} if it is {{incode|True}} it will create as many reinforcement bars as given by {{incode|amount_spacing_value}}; if it is {{incode|False}} it will create reinforcement bars separated by the numerical value of {{incode|amount_spacing_value}}.
* {{incode|amount_spacing_value}} specifies the number of reinforcement bars, or the value of the separation between them, depending on {{incode|amount_spacing_check}}.
* {{incode|orientation}} specifies the orientation of the rebar; it can be {{incode|"Horizontal"}} or {{incode|"Vertical"}}.


Depending on the orientation of the rebar, the function can be called in two general ways by setting {{incode|coverAlong}} appropriately.
'''2. When orientation of straight rebar is vertical:'''

=== The rebar is horizontal ===
{{Code|code=
{{Code|code=
Rebar = makeStraightRebar(f_cover, ("Top Side", value), right_cover, left_cover, ...)
makeStraightRebar(FrontCover, CoverAlong, TopCover, BottomCover, Diameter, AmountSpacingCheck, AmountSpacingValue, Orientation = "Horizontal", Structure, Facename)
Rebar = makeStraightRebar(f_cover, ("Bottom Side", value), right_cover, left_cover, ...)
}}
}}
* {{incode|coverAlong}} is a tuple with either a {{incode|"Top Side"}} or a {{incode|"Bottom Side"}} offset {{incode|value}}.
* In this case {{incode|rt_cover}} refers to the {{incode|right_cover}} offset, and {{incode|lb_cover}} refers to the {{incode|left_cover}} offset.


=== The rebar is vertical ===
Note:
{{Code|code=
* L'argomento di CoverAlong è una tupla. Sintassi: {{KEY|(<Along>, <Value>)}}. Here we have vertical orientation so we can pass {{KEY|Left Side}} and {{KEY|Right Side}} to <Along> arguments.
For eg. {{KEY|("Left Side", 20)}} and {{KEY|("Right Side", 20)}}
Rebar = makeStraightRebar(f_cover, ("Left Side", value), top_cover, bottom_cover, ...)
Rebar = makeStraightRebar(f_cover, ("Right Side", value), top_cover, bottom_cover, ...)
}}


* {{incode|coverAlong}} is a tuple with either a {{incode|"Left Side"}} or a {{incode|"Right Side"}} offset {{incode|value}}.
* In this case {{incode|rt_cover}} refers to the {{incode|top_cover}} offset, and {{incode|lb_cover}} refers to the {{incode|bottom_cover}} offset.
----


=== Example horizontal ===
{{Code|code=
import Arch, Draft, StraightRebar


Structure = Arch.makeStructure(length=1000, width=1000, height=400)
* Aggiunge un oggetto armatura Straigh all'oggetto strutturale specificato.
Structure.ViewObject.Transparency = 80
* Se Structure e Facename non sono fornite, prende come input la faccia selezionata dall'utente.
FreeCAD.ActiveDocument.recompute()
* Here CoverAlong argument is having type tuple.

* Restituisce il nuovo oggetto Rebar.
Rebar = StraightRebar.makeStraightRebar(50, ("Bottom Side", 20), 100, 100,
12, True, 5, "Horizontal", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = StraightRebar.makeStraightRebar(50, ("Bottom Side", 50), 100, 100,
12, True, 5, "Horizontal", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)
}}


===Example vertical ===
Esempio:
Creare una armatura Straight.
{{Code|code=
{{Code|code=
import Arch, StraightRebar
import Arch, Draft, StraightRebar

structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
Structure2 = Arch.makeStructure(length=1000, width=1000, height=400)
structure.ViewObject.Transparency = 80
Structure2.ViewObject.Transparency = 80
Draft.move(Structure2, FreeCAD.Vector(1500, 0, 0))
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()

rebar = StraightRebar.makeStraightRebar(20, ("Bottom Side", 20), 20, 20, 8, True, 10, "Horizontal", structure, "Face1")
Rebar3 = StraightRebar.makeStraightRebar(50, ("Left Side", 20), 100, 100,
12, True, 5, "Vertical", Structure2, "Face4")
Rebar3.ViewObject.ShapeColor = (0.9, 0.5, 0.0)

Rebar4 = StraightRebar.makeStraightRebar(50, ("Left Side", 50), 100, 100,
12, True, 5, "Vertical", Structure2, "Face6")
Rebar4.ViewObject.ShapeColor = (0.0, 0.5, 0.5)
}}
}}


<div class="mw-translate-fuzzy">
Cambiare le proprietà di una armatura Straight.
Cambiare le proprietà di una armatura Straight.
</div>
{{Code|code=
editStraightRebar(Rebar, f_cover, coverAlong, rt_cover, lb_cover,
diameter, amount_spacing_check, amount_spacing_value, orientation,
structure=None, facename=None)
}}

* {{incode|Rebar}} is a previously created {{incode|StraightRebar}} object.
* The other parameters are the same as required by the {{incode|makeStraightRebar()}} function.
* {{incode|structure}} and {{incode|facename}} may be omitted so that the rebar stays in the original structure.

Example:
{{Code|code=
{{Code|code=
import StraightRebar
import StraightRebar

StraightRebar.editStraightRebar(rebar, 25, ("Top Side", 20), 20, 20, 8, True, 10, "Horizontal")
StraightRebar.editStraightRebar(Rebar, 50, ("Top Side", 20), 100, 100,
24, True, 7, "Horizontal")

StraightRebar.editStraightRebar(Rebar2, 50, ("Top Side", 50), 100, 100,
24, True, 7, "Horizontal")

StraightRebar.editStraightRebar(Rebar3, 50, ("Right Side", 20), 100, 100,
24, True, 7, "Vertical")

StraightRebar.editStraightRebar(Rebar4, 50, ("Right Side", 50), 100, 100,
24, True, 7, "Vertical")
}}
}}


<div class="mw-translate-fuzzy">
[[Category:Arch/it]]
[[Category:Arch/it]]
</div>

Revision as of 17:19, 30 January 2019

Armatura dritta

Posizione nel menu
Arch → Strumenti armatura
Ambienti
Arch
Avvio veloce
None
Vedere anche
Armatura, Armatura a U, Armatura a L, Armatura sagomata, Staffe armatura, Armatura elicoidale
 
Questo comando fa parte del Addon Reinforcement, che è possibile installare tramite il menu Strumenti → Addons Manager

Descrizione

Lo strumento Armatura dritta crea una armatura diritta in un elemento strutturale selezionato.

This command is part of the Reinforcement Addon, that you can install with the Addon Manager via the menu Tools → Addon manager → Reinforcement.

Utilizzo

  1. Creare un elemento Struttura
  2. Selezionare una qualsiasi faccia della struttura
  3. Selezionare Armatura dritta dagli strumenti Armatura
  4. Sul lato sinistro dello schermo appare un pannello delle azioni come il seguente
  5. Selezionare l'orientamento desiderato
  6. Fornire i dati per front cover, right side cover, left side cover, bottom cover, top cover, rounding factor and diameter of the rebar
  7. Selezionare la modalità di distribuzione per la quantità e per la spaziatura
  8. Se la spaziatura è selezionata, l'utente può anche optare per una spaziatura personalizzata
  9. Cliccare sulla faccia selezionata serve per verificare o modificare la faccia per la distribuzione dell'armatura
  10. Cliccare OK o Apply per generare l'armatura
  11. Cliccare Cancel per uscire dal pannello delle azioni

Taskview panel for the Arch Rebar Straight tool

Proprietà

  • DatiOrientation: Decide l'orientamento dell'armatura (es. in basso, in alto, a destra e a sinistra).
  • DatiFront Cover: La distanza tra l'armatura e la faccia selezionata. Copriferro anteriore
  • DatiRight Cover: La distanza tra l'estremità destra della barra di destra e la faccia destra della struttura. Copriferro destro
  • DatiLeft Cover: La distanza tra l'estremità sinistra della barra di sinistra e la faccia sinistra della struttura. Copriferro sinistro
  • DatiBottom Cover: La distanza tra l'armatura e la parte inferiore della struttura. Copriferro inferiore
  • DatiTop Cover: La distanza tra l'armatura e la parte superiore della struttura. Copriferro superiore
  • DatiRounding: Il raggio di curvatura da applicare agli angoli delle barre, espresso quantità di diametro delle barre.
  • DatiAmount: La quantità di barre.
  • DatiSpacing: La distanza tra gli assi di ogni barra.

Script

Lo strumento Armatura dritta può essere usato nelle macro e dalla console python utilizzando la seguente funzione:

Rebar = makeStraightRebar(f_cover, coverAlong, rt_cover, lb_cover,
                          diameter, amount_spacing_check, amount_spacing_value, orientation="Horizontal",
                          structure=None, facename=None)
  • Creates a Rebar object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • f_cover, coverAlong, rt_cover, and lb_cover are inner offset distances for the rebar elements with respect to the faces of the structure.
    • f_cover is the frontal cover offset.
    • coverAlong is a tuple (position, value) that defines the offset value in one position (top, bottom, left, right) depending on the orientation.
    • rt_cover is either the right or the top cover offset, depending on the value of coverAlong and orientation.
    • lb_cover is either the left or the bottom cover offset, depending on the value of coverAlong and orientation.
  • diameter is the diameter of the reinforcement bars inside the structure.
  • amount_spacing_check if it is True it will create as many reinforcement bars as given by amount_spacing_value; if it is False it will create reinforcement bars separated by the numerical value of amount_spacing_value.
  • amount_spacing_value specifies the number of reinforcement bars, or the value of the separation between them, depending on amount_spacing_check.
  • orientation specifies the orientation of the rebar; it can be "Horizontal" or "Vertical".

Depending on the orientation of the rebar, the function can be called in two general ways by setting coverAlong appropriately.

The rebar is horizontal

Rebar = makeStraightRebar(f_cover, ("Top Side", value), right_cover, left_cover, ...)
Rebar = makeStraightRebar(f_cover, ("Bottom Side", value), right_cover, left_cover, ...)
  • coverAlong is a tuple with either a "Top Side" or a "Bottom Side" offset value.
  • In this case rt_cover refers to the right_cover offset, and lb_cover refers to the left_cover offset.

The rebar is vertical

Rebar = makeStraightRebar(f_cover, ("Left Side", value), top_cover, bottom_cover, ...)
Rebar = makeStraightRebar(f_cover, ("Right Side", value), top_cover, bottom_cover, ...)
  • coverAlong is a tuple with either a "Left Side" or a "Right Side" offset value.
  • In this case rt_cover refers to the top_cover offset, and lb_cover refers to the bottom_cover offset.

Example horizontal

import Arch, Draft, StraightRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = StraightRebar.makeStraightRebar(50, ("Bottom Side", 20), 100, 100,
                                        12, True, 5, "Horizontal", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = StraightRebar.makeStraightRebar(50, ("Bottom Side", 50), 100, 100,
                                         12, True, 5, "Horizontal", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Example vertical

import Arch, Draft, StraightRebar

Structure2 = Arch.makeStructure(length=1000, width=1000, height=400)
Structure2.ViewObject.Transparency = 80
Draft.move(Structure2, FreeCAD.Vector(1500, 0, 0))
FreeCAD.ActiveDocument.recompute()

Rebar3 = StraightRebar.makeStraightRebar(50, ("Left Side", 20), 100, 100,
                                         12, True, 5, "Vertical", Structure2, "Face4")
Rebar3.ViewObject.ShapeColor = (0.9, 0.5, 0.0)

Rebar4 = StraightRebar.makeStraightRebar(50, ("Left Side", 50), 100, 100,
                                         12, True, 5, "Vertical", Structure2, "Face6")
Rebar4.ViewObject.ShapeColor = (0.0, 0.5, 0.5)

Cambiare le proprietà di una armatura Straight.

editStraightRebar(Rebar, f_cover, coverAlong, rt_cover, lb_cover,
                  diameter, amount_spacing_check, amount_spacing_value, orientation,
                  structure=None, facename=None)
  • Rebar is a previously created StraightRebar object.
  • The other parameters are the same as required by the makeStraightRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.

Example:

import StraightRebar

StraightRebar.editStraightRebar(Rebar, 50, ("Top Side", 20), 100, 100,
                                24, True, 7, "Horizontal")

StraightRebar.editStraightRebar(Rebar2, 50, ("Top Side", 50), 100, 100,
                                24, True, 7, "Horizontal")

StraightRebar.editStraightRebar(Rebar3, 50, ("Right Side", 20), 100, 100,
                                24, True, 7, "Vertical")

StraightRebar.editStraightRebar(Rebar4, 50, ("Right Side", 50), 100, 100,
                                24, True, 7, "Vertical")